import delimited "D:\data\EUGENE\eugene mids.csv", clear 
ren cw* eug*
ren cow* eug*
replace eugmid=1
for var *: replace X=. if X<0
ren *1 *a
ren *2 *b
gen eugwar=1 if eughosta==5 & eughostb==5
gen eugnewmid=1 if eugongo==0
gen eugnewar=1 if eughosta==5 & eughostb==5 & eugnewmid==1
for var eugnewmid- eugnewar: replace X=0 if X==.
for var eugwar-eugnewar: replace X=0 if X==.
* Arbitrarily assigning end day as the last day of the month if end day is missing
* This is done in order to allow complete coding of duration and it matches the dyadic MID practice
for var eugstday*: replace X=1 if X==.
for var eugenddy*: replace X=31 if X==.
save "D:\data\EUGENE\eugene undirected mids.dta", replace
* Hostility Coding
gen eugesverityd=.
gen eugseveritya=.
gen eugseverityb=.

for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=30 if X==1
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=1 if X==2
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=8 if X==3
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=29 if X==4
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=49 if X==7
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=20  if X==8
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=32 if X==9
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=82 if X==10
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=55 if X==11
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=65 if X==12
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=96 if X==13
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=84 if X==14
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=81 if X==15
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=75 if X==16
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=75 if X==17
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=99 if X==18
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=92 if X==19
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=100 if X==20
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=100 if X==21
for var eughiactd eughiacta eughiactb \ var eugesverityd eugseveritya eugseverityb: replace Y=100 if X==23
replace eugseveritya=0 if eughiacta==0
replace eugseverityb=0 if eughiactb==0
replace eugesverityd=0 if eughiactd==0
label define eugseveritylev 0 "None" 1 "Th. Blockade" 8 "Th. Occupy Terr." 20 "alert" 29 "Th. Dec. War" 30 "Th. Use Force" 49 "Show Planes" 52 "Show Ships" 55 "Show Troops" 65 "border Viol" 75 "Clash" 80 "Raid" 81 "Seizure" 82 "Mobil" 84 "Occ. Terr" 96 "blockade" 99 "Dec. War" 100 "War", modify
label value eugseverity* eugseveritylev
save "D:\data\EUGENE\eugene undirected mids.dta", replace

* Generating a directed dyadic PSU MID datset from the MID participant file
ren *a *c
ren *b *a
ren *c *b
append using "D:\data\EUGENE\eugene undirected mids.dta"
* Outcome and Settlement Coding
sort disno statea stateb year
gen euglastobs=1 if disno~=disno[_n+1] | statea~=statea[_n+1] | stateb~=stateb[_n+1]
replace euglastobs=0 if euglastobs==.
gen eugoutcome=2 if eugoutcm>4 & eugoutcm~=.
replace eugoutcome=1 if eugrolea<3 & (eugoutcm==1 | eugoutcm==4) & eugoutcome==.
replace eugoutcome=3 if eugrolea<3 & (eugoutcm==2 | eugoutcm==3) & eugoutcome==.
replace eugoutcome=1 if eugrolea>=3 & (eugoutcm==2 | eugoutcm==3) & eugoutcome==.
replace eugoutcome=3 if eugrolea>=3 & (eugoutcm==1 | eugoutcm==4) & eugoutcome==.
replace eugoutcome=. if euglastobs==0
ren eugsettle eugsettlement
recode eugsettlement (1=1) (2=2) (3/4=3), g(eugsettle)
for var eugoutcome eugsettle: replace X=. if euglastobs==0
label define outcome 1 "Win" 2 "Draw" 3 "Lose"
label define settle 1 "Agreement" 2 "Imposed Settlmnt" 3 "Stalemate"
label value eugoutcome outcome
label value eugsettle settle
compress
save "D:\data\EUGENE\eugene directed mids.dta", replace

